package bluetoothtest;

import java.lang.*;
import java.io.*;
import javax.microedition.io.*;
import javax.microedition.lcdui.game.GameCanvas;
import javax.microedition.lcdui.game.Sprite;
import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;
import javax.bluetooth.*;

public class BlueTMIDlet extends MIDlet implements Runnable, CommandListener {
  private static BlueTMIDlet instance;
  protected BlueToothCanvas gCanvas; 
  
    /** Constructor */
  public BlueTMIDlet() {
    instance = this;
  }
  
  public String getImgPath() {
    return "/images/defaultPlayer.PNG";
  }
  
  public Sprite getPlayer() {
      return gCanvas.getPlayer();
  }

  /** Main method */
  public void startApp() throws MIDletStateChangeException {
      gCanvas = new BlueToothCanvas(getImgPath());
      Display.getDisplay(this).setCurrent(gCanvas);
      new Thread(this).start();
      //Display.getDisplay(this).setCurrent(displayable);
  }

  /** Handle pausing the MIDlet */
  public void pauseApp() {
  }

  /** Handle destroying the MIDlet */
  public void destroyApp(boolean unconditional) {
  }

public void run() {}

public void commandAction(Command c, Displayable d) {
    notifyDestroyed();
  }
  /** Quit the MIDlet */
  public static void quitApp() {
    instance.destroyApp(true);
    instance.notifyDestroyed();
    instance = null;
  }

}
